---
title: Using the article role
slug: Web/Accessibility/ARIA/ARIA_Techniques/Using_the_article_role
tags:
  - ARIA
  - Accessible
  - NeedsContent
---
<p><span class="seoSummary">The <a class="external" href="http://www.w3.org/TR/wai-aria/roles#article" rel="external" title="http://www.w3.org/TR/wai-aria/roles#article">article</a> role is used to identify a section of a page that forms an independent part of a document, page or site. Examples of an article include web log posts, newspaper or magazine articles and use-submitted comments. It is <em>independent</em> in that its contents could stand alone, for example in syndication.</span></p>

<p>Articles can be nested; for example, a web log entry on a site that accepts user-submitted comments could represent the comments as articles nested within the article for the web log entry.</p>

<p>The ARIA article role is similar to the {{ HTMLVersionInline("5") }} <a href="/en/HTML/Element/article" title="article">article</a> element; however the <a href="/en/HTML/Element/article" title="article">article</a> element should still be given the ARIA role of article, since not all assistive technologies support HTML5 yet.</p>

<h3 id="Possible_effects_on_user_agents_and_assistive_technology">Possible effects on user agents and assistive technology </h3>

<p>When the user navigates an element assigned the role of article, assistive technologies that typically intercept standard keyboard events <strong class="rfc2119">SHOULD</strong> switch to document browsing mode, as opposed to passing keyboard events through to the web application.</p>

<p>Assistive technologies <strong class="rfc2119">MAY</strong> provide a feature allowing the user to navigate the hierarchy of any nested article elements.</p>

<div class="note"><strong>Note:</strong> Opinions may differ on how assistive technology should handle this technique. The information provided above is one of those opinions and therefore not normative.</div>

<h3 id="Examples">Examples</h3>

<pre class="brush: html">&lt;article role="article"&gt;
  &lt;header&gt;
    &lt;h2&gt;Blog Post&lt;/h2&gt;
  &lt;/header&gt;
  &lt;section class="content"&gt;
    &lt;p&gt;A very interesting post&lt;/p&gt;
  &lt;/section&gt;
  &lt;section class="comments"&gt;
    &lt;div class="comment" role="article"&gt;
      &lt;p&gt;Meaningful comment&lt;/p&gt;
    &lt;/div&gt;
    &lt;div class="comment" role="article"&gt;
      &lt;p&gt;Positive comment&lt;/p&gt;
    &lt;/div&gt;
  &lt;/section&gt;
&lt;/article&gt;</pre>

<h3 id="Notes">Notes </h3>

<h3 id="ARIA_attributes_used">ARIA attributes used</h3>

<h3 id="Related_ARIA_techniques">Related ARIA techniques </h3>

<p><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Roles">ARIA Techniques - List of Roles</a></p>

<h3 id="Compatibility">Compatibility</h3>

<p class="comment">TBD: Add support information for common UA and AT product combinations</p>

<h3 id="Additional_resources">Additional resources</h3>

<p><a class="external" href="http://www.w3.org/TR/wai-aria/roles#article">WAI-ARIA specification for the article role</a></p>
